package com.mdd.admin.validate.license;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("系统许可证搜素参数")
public class LicenseSearchValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("许可证")
   private String code;
   @ApiModelProperty("校验地址")
   private String checkUrl;

   public String getCode() {
      return this.code;
   }

   public String getCheckUrl() {
      return this.checkUrl;
   }

   public void setCode(String code) {
      this.code = code;
   }

   public void setCheckUrl(String checkUrl) {
      this.checkUrl = checkUrl;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof LicenseSearchValidate)) {
         return false;
      } else {
         LicenseSearchValidate other = (LicenseSearchValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$code = this.getCode();
            Object other$code = other.getCode();
            if (this$code == null) {
               if (other$code != null) {
                  return false;
               }
            } else if (!this$code.equals(other$code)) {
               return false;
            }

            Object this$checkUrl = this.getCheckUrl();
            Object other$checkUrl = other.getCheckUrl();
            if (this$checkUrl == null) {
               if (other$checkUrl != null) {
                  return false;
               }
            } else if (!this$checkUrl.equals(other$checkUrl)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof LicenseSearchValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $code = this.getCode();
      result = result * 59 + ($code == null ? 43 : $code.hashCode());
      Object $checkUrl = this.getCheckUrl();
      result = result * 59 + ($checkUrl == null ? 43 : $checkUrl.hashCode());
      return result;
   }

   public String toString() {
      return "LicenseSearchValidate(code=" + this.getCode() + ", checkUrl=" + this.getCheckUrl() + ")";
   }
}
